Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class PersonalTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.PersonalTariff

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class PersonalTariff extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalTariff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `Preferences`
  `getConfigPreferences()`
  `int`
  `getContractId()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getPos()`
  `String`
  `getTitleWeb()`
  `int`
  `getTreeId()`
  `boolean`
  `isUseTitleInWeb()`
  `PersonalTariff`
  `setConfig(String config)`
  `PersonalTariff`
  `setContractId(int contractId)`
  `PersonalTariff`
  `setDate1(Calendar date1)`
  `PersonalTariff`
  `setDate2(Calendar date2)`
  `PersonalTariff`
  `setId(int id)`
  Устанавливает id объекта
  `PersonalTariff`
  `setPos(int pos)`
  `PersonalTariff`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `PersonalTariff`
  `setTitleWeb(String titleWeb)`
  `PersonalTariff`
  `setTreeId(int treeId)`
  `PersonalTariff`
  `setUseTitleInWeb(boolean useTitleInWeb)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### PersonalTariff

    public PersonalTariff()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### getConfigPreferences

    public Preferences getConfigPreferences()

  - ### getContractId

    public int getContractId()

  - ### getDate1

    public Calendar getDate1()

  - ### getDate2

    public Calendar getDate2()

  - ### getPos

    public int getPos()

  - ### getTitleWeb

    public String getTitleWeb()

  - ### getTreeId

    public int getTreeId()

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setConfig

    public PersonalTariff setConfig(String config)

  - ### setContractId

    public PersonalTariff setContractId(int contractId)

  - ### setDate1

    public PersonalTariff setDate1(Calendar date1)

  - ### setDate2

    public PersonalTariff setDate2(Calendar date2)

  - ### setId

    public PersonalTariff setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setPos

    public PersonalTariff setPos(int pos)

  - ### setTitle

    public PersonalTariff setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTitleWeb

    public PersonalTariff setTitleWeb(String titleWeb)

  - ### setTreeId

    public PersonalTariff setTreeId(int treeId)

  - ### setUseTitleInWeb

    public PersonalTariff setUseTitleInWeb(boolean useTitleInWeb)